Package javassist.bytecode

# Interface Mnemonic

public interface Mnemonic
JVM Instruction Names.

This interface has been separated from javassist.bytecode.Opcode because typical bytecode translators do not use mnemonics. If this interface were merged with Opcode, extra memory would be unnecessary consumed.

See Also:
  - `Opcode`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`OPCODE`
The instruction names (mnemonics) sorted by the opcode.

## Field Details

### OPCODE

static final String[] OPCODE
The instruction names (mnemonics) sorted by the opcode. The length of this array is 202 (jsr_w=201).